Bug 127133 - Installer - checking off Tomcat string - does not place check in the check box...
Installer - checking off Tomcat string - does not place check in the check bo...
Status: REOPENED
Product: installer
Classification: Unclassified
Component: Code
6.x
All All
: P4 (vote)
: 6.x
Assigned To: Libor Fischmeistr
issues@installer
: USABILITY
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-11 15:29 UTC by shche123
Modified: 2014-02-10 14:14 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
Welcome panel in JavaEE installer (73.88 KB, image/png)
2008-02-24 18:23 UTC, dlipin
Details
Customization panel in "All" installer (15.82 KB, image/png)
2008-02-24 18:24 UTC, dlipin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description shche123 2008-02-11 15:29:44 UTC
Installer - checking off Tomcat string - does not place check in the check box...
Comment 1 shche123 2008-02-11 15:31:19 UTC
clicking on the Tomcat string instead of the check box does not paces check in the check box.
Also does not work in the NetBeans 6.0 installer
Comment 2 dlipin 2008-02-23 22:07:13 UTC
what do you mean by saying "Tomcat string" and what "check box" are you talking about?

If you talking about the one of the two checkboxes - GlassFish and Tomcat - in JavaEE installer, then I am confused a 
little bit : I have no problems with that. If I double-click on the "Apache Tomcat 6.0.16" string then the 
corresponding checkbox changes its state.

Could you please make a screenshot of the panel that you are have this issue at and outline the string and checkbox 
that you refer to?

Thanks in advance,
Dmitry
Comment 3 shche123 2008-02-24 15:11:20 UTC
I believe that we are talking about the same screen.
Single clicking on the "Apache Tomcat 6.0.16" check box checks it. However, Single clicking on the "Apache Tomcat
6.0.16" string does not check the check box.
Comment 4 shche123 2008-02-24 15:13:03 UTC
This is for the NetBeans "All" installer.
Comment 5 dlipin 2008-02-24 18:21:48 UTC
shche123,

In my turn, I believe that we are talking about different panels.
I though that you had problems with so-called "Welcome" panel (the first attachemenet), though it seems that you really 
have problems with so-called "Customization" panel (the second attachement).
Right?

Then I can confirm that such issue on the customization panel really exists. I though that we`ve fixed it long ago but 
it seems that I was mistaken.
Comment 6 dlipin 2008-02-24 18:23:46 UTC
Created attachment 57158 [details]
Welcome panel in JavaEE installer
Comment 7 dlipin 2008-02-24 18:24:50 UTC
Created attachment 57159 [details]
Customization panel in "All" installer
Comment 8 shche123 2008-02-25 00:05:24 UTC
Thanks Dmitry for creating attachments for this issue. 

It is the "Customization panel" in "All" installer which I was referring to.

Leonid
Comment 9 dlipin 2008-02-26 18:11:00 UTC
Fixed.
http://hg.netbeans.org/main/rev/0a84b34b2573

Please verify (if possible) on the next daily build (>200802251204)
http://bits.netbeans.org/download/trunk/nightly/latest/


Thanks,
Dmitry
Comment 10 Ivan Sidorkin 2008-03-02 12:33:13 UTC
IMO previous behavior was correct.
Now if you want to see description for some component you will check/uncheck it. 
may be good solution is to check/uncheck component check box when you click directly on check box or double click on
component name.
If you click on component label it should just show proper description. 
Comment 11 dlipin 2008-03-02 16:51:26 UTC
reopening...

If we don`t have the description field (at right of the panel) then the behavior is correct. But since we have it then 
another logic should be used for changing 'checkbox' states by clicking the product name label.
Comment 12 shche123 2008-03-02 23:35:52 UTC
I hope that you guys are not going to change all the check box labels across all the installers. Tomcat label was the
only one that did not check off the check box when it was clicked on.
What the UI standard of clicking on the 'check box' label?
Thanks
Leonid
Comment 13 dlipin 2008-03-03 07:59:40 UTC
> I hope that you guys are not going to change all the check box labels across all the installers. 
Certainly, not :) only the checkboxes on the customization panel

> Tomcat label was the only one that did not check off the check box when it was clicked on.
> What the UI standard of clicking on the 'check box' label?
The thing is that Tomcat checkbox and Tomcat label for that chechox on the Customization Panel serves two different 
purposes: first, it acts like a checkbox so that the user can (un)check its state to instruct installer either to 
install this component or not, and, second, it acts as an area that user can click on and see the description of the 
selected component at right of the panel (at the customization panel attachment, it now shows "Select a component to 
see its description").
Comment 14 shche123 2008-03-07 14:54:47 UTC
I have just ran the NetBeans 6.1 Beta1 "All" installer, and the "Tomcat" checkbox label works correctly now. 
Thanks!
Leonid
Comment 15 shche123 2008-03-17 16:11:36 UTC
I am beginning to see the issue with the check box label having a dual functionality of checking off the check box and
displaying information regarding the check box option being selected.

If I just wanted to see the information on the option without checking off the check box and click on the label, the
check box gets checked automatically.

I agree with the recommendation of having the label to the right of the check box used to see the information on the
option and the check box widget itself being used to check it off and on.

Thanks
Leonid
Comment 16 dlipin 2008-03-18 10:45:37 UTC
I`ve reverted the fix.
http://hg.netbeans.org/main/rev/97b554dfb591

Marking the issue as invalid since the original behaviour seems to be correct.
Comment 17 shche123 2008-03-18 12:54:24 UTC
The reason why I have reported with as an issue is because Tomcat check box label works differently from other check
boxes in the installer wizard.

If the Tomcat check box label fix is to be reverted, then the rest of the check box labels need to be changes to behave
as Tomcat's check box label behaves now.

Thanks
Leonid
Comment 18 dlipin 2008-03-18 13:03:14 UTC
Leonid,

>> then the rest of the check box labels need to be changes to behave as Tomcat's check box label behaves now.
All the checkboxes on the other panels works in a standard way - clicking on the label force the checkbox state to be 
changed.

All the checkboxes on this customization panel (where you select/deselect tomcat as well as all other components and 
see the descriptions of those components) works equally - in a non-standard way : clicking on the lable does not change 
the checkbox state.

Do we still need this issue open?
Comment 19 shche123 2008-03-18 13:28:14 UTC
The behavior which I am looking for now, demonstrates itself on the "Customize Installation" screen when the Customize
button is clicked on the "Netbeans IDE Installer" first screen.

When the check box label is clicked, the description is updated for the component whose label is clicked, and the check
box not being checked. To check the check box, the actual check box needs to be clicked.

This way the selection is not effected if the user just wants to see the description of the option before checking it.

I have just tried the daily build "All" installer "Customize Installation" screen and the behavior of all the check box
labels are now consistent, including the Tomcat's check box label. Clicking on the label checks off the check box and
displays the description of the component - which was my original proposal.

Whether you guys decide to go with the original solution, or the new one, being consistent in the behavior of check box
labels across all the installers is impotent.

Thanks
Leonid
Comment 20 Jiri Rechtacek 2012-10-07 12:58:27 UTC
Assigned to new owner.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo